"use strict";
var graphql_1 = require("graphql");
var action_1 = require("./queries/action");
var execution_1 = require("./queries/execution");
var code_1 = require("./queries/code");
var pack_1 = require("./queries/pack");
var auth_1 = require("./queries/auth");
var editAction_mutation_1 = require("./mutations/editAction.mutation");
var createAction_mutation_1 = require("./mutations/createAction.mutation");
var runAction_mutation_1 = require("./mutations/runAction.mutation");
var auth_mutation_1 = require("./mutations/auth.mutation");
var RootQuery = new graphql_1.GraphQLObjectType({
    name: 'RootQuery',
    fields: {
        getActionByPackAndName: action_1.GetActionByPackAndNameQuery,
        getActions: action_1.GetActionsQuery,
        getExecutions: execution_1.GetExecutionsQuery,
        getExecution: execution_1.GetExecutionQuery,
        code: code_1.CodeQuery,
        getPacks: pack_1.GetPacksQuery,
        getPacksWithActions: pack_1.GetPacksWithActionsQuery,
        checkValidToken: auth_1.AuthCheckValidTokenQuery
    }
});
var RootMutation = new graphql_1.GraphQLObjectType({
    name: 'RootMutation',
    fields: {
        editAction: editAction_mutation_1.default,
        createAction: createAction_mutation_1.default,
        runAction: runAction_mutation_1.default,
        auth: auth_mutation_1.default
    }
});
var ActionDesignerSchema = new graphql_1.GraphQLSchema({
    query: RootQuery,
    mutation: RootMutation
});
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = ActionDesignerSchema;
