"use strict";
var request = require("request");
var graphql_1 = require("graphql");
var config_1 = require("./../../config");
var types_1 = require("./../types");
var AuthMutation = {
    type: types_1.AuthTokenType,
    args: {
        username: { type: new graphql_1.GraphQLNonNull(graphql_1.GraphQLString) },
        password: { type: new graphql_1.GraphQLNonNull(graphql_1.GraphQLString) }
    },
    resolve: function (obj, _a) {
        var username = _a.username, password = _a.password;
        return new Promise(function (fulfull, reject) {
            request.post(config_1.default.workflowHost + "/auth/v1/tokens", {
                json: true
            }, function (error, response, body) {
                // validation of response
                if (error)
                    return reject(error);
                if (body && body.faultstring)
                    return reject(body.faultstring);
                fulfull(body);
            }).auth(username, password);
        });
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = AuthMutation;
