"use strict";
var request = require("request");
var graphql_1 = require("graphql");
var config_1 = require("./../../config");
var parameter_type_1 = require("./../types/parameter.type");
var execution_type_1 = require("./../types/execution.type");
var RunActionMutation = {
    type: execution_type_1.default,
    args: {
        token: { type: new graphql_1.GraphQLNonNull(graphql_1.GraphQLString) },
        action: { type: new graphql_1.GraphQLNonNull(graphql_1.GraphQLString) },
        parameters: { type: new graphql_1.GraphQLNonNull(parameter_type_1.default) }
    },
    resolve: function (obj, _a, context) {
        var token = _a.token, action = _a.action, parameters = _a.parameters;
        return new Promise(function (fulfull, reject) {
            request.post(config_1.default.workflowHost + "/api/v1/executions", {
                json: {
                    action: action,
                    parameters: parameters
                },
                headers: {
                    'X-Auth-Token': token
                }
            }, function (error, response, body) {
                if (error)
                    return reject(error);
                if (body && body.faultstring)
                    return reject(body.faultstring);
                // validation of response
                fulfull(body);
            });
        });
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = RunActionMutation;
