"use strict";
var request = require("request");
var graphql_1 = require("graphql");
var config_1 = require("./../../../config");
var action_type_1 = require("./../../types/action.type");
var GetActionByPackAndNameQuery = {
    type: action_type_1.default,
    description: 'The configuration of a action.',
    args: {
        token: { type: new graphql_1.GraphQLNonNull(graphql_1.GraphQLString) },
        pack: { type: new graphql_1.GraphQLNonNull(graphql_1.GraphQLString) },
        name: { type: new graphql_1.GraphQLNonNull(graphql_1.GraphQLString) }
    },
    resolve: getAction
};
function getAction(obj, _a, context) {
    var token = _a.token, pack = _a.pack, name = _a.name;
    return new Promise(function (fulfill, reject) {
        request.get(config_1.default.workflowHost + ("/api/v1/actions/views/overview/" + pack + "." + name), {
            headers: {
                'X-Auth-Token': token
            },
            json: true
        }, function (error, response, body) {
            // validate error
            if (error)
                return reject(error);
            if (body && body.faultstring)
                return reject(body.faultstring);
            fulfill(body);
        });
    });
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = GetActionByPackAndNameQuery;
