"use strict";
var request = require("request");
var graphql_1 = require("graphql");
var config_1 = require("./../../../config");
var action_type_1 = require("./../../types/action.type");
var GetActionsQuery = {
    type: new graphql_1.GraphQLList(action_type_1.default),
    description: 'The configuration of a action.',
    args: {
        token: { type: new graphql_1.GraphQLNonNull(graphql_1.GraphQLString) },
        limit: { type: graphql_1.GraphQLInt }
    },
    resolve: getActions
};
function getActions(obj, _a, context) {
    var token = _a.token, limit = _a.limit;
    return new Promise(function (fulfill, reject) {
        var limitQs = (limit ? "&limit=" + limit : '');
        request.get(config_1.default.workflowHost + "/api/v1/actions?exclude_attributes=parameters%2Cnotify" + limitQs, {
            headers: {
                'X-Auth-Token': token
            },
            json: true
        }, function (error, response, body) {
            // validate error
            if (error)
                return reject(error);
            if (body && body.faultstring)
                return reject(body.faultstring);
            fulfill(body);
        });
    });
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = GetActionsQuery;
