"use strict";
var request = require("request");
var graphql_1 = require("graphql");
var config_1 = require("./../../../config");
var AuthCheckValidTokenQuery = {
    type: graphql_1.GraphQLBoolean,
    description: 'Makes a simply query using the session token and returns whether or not the token is valid.',
    args: {
        token: { type: new graphql_1.GraphQLNonNull(graphql_1.GraphQLString) }
    },
    resolve: checkValidToken
};
function checkValidToken(obj, _a, context) {
    var token = _a.token;
    return new Promise(function (fulfill, reject) {
        request.get(config_1.default.workflowHost + "/api/v1/actions?exclude_attributes=parameters%2Cnotify&limit=1", {
            headers: {
                'X-Auth-Token': token
            },
            json: true
        }, function (error, response, body) {
            var isValid = true;
            // validate error
            if (error)
                return reject(error);
            // if there is a faultstring then the token is no longer valid
            if (body && body.faultstring)
                isValid = false;
            fulfill(isValid);
        });
    });
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = AuthCheckValidTokenQuery;
