"use strict";
var request = require("request");
var graphql_1 = require("graphql");
var config_1 = require("./../../../config");
var CodeQuery = {
    type: graphql_1.GraphQLString,
    description: 'A YAML expression representing a workflow.',
    args: {
        token: { type: new graphql_1.GraphQLNonNull(graphql_1.GraphQLString) },
        pack: { type: new graphql_1.GraphQLNonNull(graphql_1.GraphQLString) },
        name: { type: new graphql_1.GraphQLNonNull(graphql_1.GraphQLString) }
    },
    resolve: getWorkflowCode
};
function getWorkflowCode(obj, _a, context) {
    var token = _a.token, pack = _a.pack, name = _a.name;
    return new Promise(function (fulfill, reject) {
        request.get(config_1.default.workflowHost + ("/api/v1/actions/views/entry_point/" + pack + "." + name), {
            headers: {
                'X-Auth-Token': token
            }
        }, function (error, response, body) {
            // validate error
            if (error)
                return reject(error);
            if (body && body.faultstring)
                return reject(body.faultstring);
            fulfill(body);
        });
    });
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = CodeQuery;
