"use strict";
var request = require("request");
var graphql_1 = require("graphql");
var config_1 = require("./../../../config");
var execution_type_1 = require("./../../types/execution.type");
var GetExecutionQuery = {
    type: execution_type_1.default,
    description: 'An individual execution of a workflow.',
    args: {
        token: { type: new graphql_1.GraphQLNonNull(graphql_1.GraphQLString) },
        id: { type: new graphql_1.GraphQLNonNull(graphql_1.GraphQLString) }
    },
    resolve: getExecution
};
function getExecution(obj, _a, context) {
    var token = _a.token, id = _a.id;
    return new Promise(function (fulfill, reject) {
        request.get(config_1.default.workflowHost + ("/api/v1/executions/" + id), {
            headers: {
                'X-Auth-Token': token
            },
            json: true
        }, function (error, response, body) {
            // validation response
            if (error)
                return reject(error);
            if (body && body.faultstring)
                return reject(body.faultstring);
            fulfill(body);
        });
    });
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = GetExecutionQuery;
