"use strict";
var request = require("request");
var graphql_1 = require("graphql");
var config_1 = require("./../../../config");
var execution_type_1 = require("./../../types/execution.type");
var GetExecutionsQuery = {
    type: new graphql_1.GraphQLList(execution_type_1.default),
    description: 'Execution history of a workflow.',
    args: {
        token: { type: new graphql_1.GraphQLNonNull(graphql_1.GraphQLString) },
        pack: { type: new graphql_1.GraphQLNonNull(graphql_1.GraphQLString) },
        name: { type: new graphql_1.GraphQLNonNull(graphql_1.GraphQLString) }
    },
    resolve: getExecutions
};
function getExecutions(obj, _a, context) {
    var token = _a.token, pack = _a.pack, name = _a.name;
    return new Promise(function (fulfill, reject) {
        request.get(config_1.default.workflowHost + ("/api/v1/executions?limit=5&action=" + pack + "." + name), {
            headers: {
                'X-Auth-Token': token
            },
            json: true
        }, function (error, response, body) {
            // validation response
            if (error)
                return reject(error);
            if (body && body.faultstring)
                return reject(body.faultstring);
            fulfill(body);
        });
    });
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = GetExecutionsQuery;
