"use strict";
var graphql_1 = require("graphql");
var config_1 = require("./../../config");
var action_type_1 = require("./action.type");
var PackType = new graphql_1.GraphQLObjectType({
    name: 'PackType',
    fields: {
        author: { type: graphql_1.GraphQLString },
        description: { type: graphql_1.GraphQLString },
        email: { type: graphql_1.GraphQLString },
        files: { type: new graphql_1.GraphQLList(graphql_1.GraphQLString) },
        id: { type: graphql_1.GraphQLString },
        keywords: { type: new graphql_1.GraphQLList(graphql_1.GraphQLString) },
        name: { type: graphql_1.GraphQLString },
        ref: { type: graphql_1.GraphQLString },
        uid: { type: graphql_1.GraphQLString },
        version: { type: graphql_1.GraphQLString },
        actions: { type: new graphql_1.GraphQLList(action_type_1.default) },
        iconSrc: {
            type: graphql_1.GraphQLString,
            resolve: getPackIconSrc
        }
    }
});
function getPackIconSrc(obj, args, context) {
    // get token
    console.log(context.body.variables.token);
    var queryVariables = context.body.variables;
    var token = queryVariables.token;
    // get name of pack
    var packName = obj.name;
    return config_1.default.workflowHost + ("/api/v1/packs/views/file/" + packName + "/icon.png?x-auth-token=" + token);
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = PackType;
